/* jshint asi: true */
/* jshint esversion: 6 */
/* jshint node: true */
/* jshint jquery: true */
/* jshint strict: false */
/* jshint eqeqeq: false */
//-----------------------------------------------------------------
const sChildElement_temp =
`<Element>
	<m_Fields>
		<m_Values>
		</m_Values>
	</m_Fields>
	<m_ChildCollections/>
	<m_Name text=""/>
	<m_AppendMergedParameterCollections>false</m_AppendMergedParameterCollections>
</Element>` 
//-----------------------------
const sArtDef_Ref_temp =
`<Element class="AssetObjects..ArtDefReferenceValue">
	<m_ElementName text=""/>
	<m_RootCollectionName text=""/>
	<m_ArtDefPath text=""/>
	<m_CollectionIsLocked>true</m_CollectionIsLocked>
	<m_TemplateName text=""/>
	<m_ParamName text=""/>
</Element>`

const sBLP_Entry_temp =
`<Element class="AssetObjects..BLPEntryValue">
	<m_EntryName text=""/>
	<m_XLPClass text=""/>
	<m_XLPPath text=""/>
	<m_BLPPackage text=""/>
	<m_LibraryName text=""/>
	<m_ParamName text=""/>
</Element>`

const sString_temp =
`<Element class="AssetObjects..StringValue">
	<m_Value text=""/>
	<m_ParamName text=""/>
</Element>`

const sBool_temp =
`<Element class="AssetObjects..BoolValue">
	<m_bValue>false</m_bValue>
	<m_ParamName text="IsWonderBuilding"/>
</Element>`

const sInt_temp =
`<Element class="AssetObjects..IntValue">
	<m_nValue>0</m_nValue>
	<m_ParamName text=""/>
</Element>`

const sFloat_temp =
`<Element class="AssetObjects..FloatValue">
	<m_fValue></m_fValue>
	<m_ParamName text=""/>
</Element>`

const sRGB_temp =
`<Element class="AssetObjects..RGBValue">
	<m_r>255.000000</m_r>
	<m_g>255.000000</m_g>
	<m_b>255.000000</m_b>
	<m_ParamName text=""/>
</Element>`

const tXMLTemps = {
	'ChildElement':				sChildElement_temp,
	'ArtDefReferenceValue':		sArtDef_Ref_temp,
	'BLPEntryValue':			sBLP_Entry_temp,
	'StringValue':				sString_temp,
	'BoolValue':				sBool_temp,
	'IntValue':					sInt_temp,
	'sFloat_temp':				sFloat_temp,
	'RGBValue':					sRGB_temp,
}



